Subject: The Bot with The Arab Strap (yes the mis-spelling was intentional)
From: david kitchen <[email-masked]>
To: [email-masked]
Date: Thu, 06 Aug 1998 16:31:47 +0100

[email-masked] wrote:
<snip, there goes his pretty close interpretation of the lyrics>

and as we're pretty impressed with the speed at which he did it, here
are the lyrics as supplied by the band (i.e. the version which appears
on the album sleeve). please note that the end lyrics has a fade over
them, so unless your stereo is loud you'll probably not here them first
time.

--

'The Boy With The Arab Strap'

A mile and a half on a bus takes a long time
The odour of old prison food takes a long time to pass you by
When you've been inside
Day upon day of this wandering gets you down
Nobody gives you a chance or a dollar in this old town

Hovering silence from you is a giveaway
Squalor and smoke's not your style
"I don't like this place"
We better go
Then I compare notes with your older sister
I am a lazy gett, she is as pure as the cold driven snow
She accepts my confession

What did you learn from your time in the solitary
Cell of your mind?
There was noises, distractions from anything good
And the old prison food
Colour my life with the chaos of trouble
Cause anything's better than posh isolation
1 missed the bus
You were laid on your back
With the boy from the arab strap
With the boy from the arab strap

It's something to speak of the way you are feeling
To crowds there assembled
Do you ever feel you have gone too far?
Everyone suffers in silence a burden
The man who drives minicabs down in Old Compton
The Asian man
With his love hate affair
With his racist clientele

A central location for you is a must as you stagger about making fre
with your lewd and lascivious boasts 
We know you are soft cause we've all seen you dancing 
We know you are hard cause we all saw you drinking from noon 
Until noon again 
You're the boy with the filthy laugh 
You're the boy with the arab strap

Strapped to the table with suits from the shelter shop
Comic celebrity takes a back seat as the cigarette catches
And sets off the smoke alarm
What do you make of the cool set in London?
You're constantly updating your hit parade of your ten biggest
wanks
She's a waitress and she's got style
Sunday bathtime could take a while

--

david kitchen & katrina house

-----------------------------------------------------------------------
     david kitchen : merchandising and websites : jeepster records

                         http://www.jeepster.co.uk/
                http://www.jeepster.co.uk/belleandsebastian/

                       mailto:[email-masked]

 jeepster recordings ltd, 217 canalot, 222 kensal road, london w10 5bn

  to subscribe to the news mailing list mail [email-masked]
       with the words 'subscribe news' in the body of the message
     there is no need to subscribe if you are on the 'sinister' list